<mamecheat version="1">

  <cheat desc="See the Dip Switch Menu to enable Invincibility."/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@C002F9=0A</action>
    </script>
  </cheat>

  <cheat desc="Always have the Shield PL1">
    <script state="run">
      <action>maincpu.pb@C00355=1E|(maincpu.pb@C00355 BAND ~1E)</action>
    </script>
  </cheat>

  <cheat desc="Get the Shield Now! PL1">
    <script state="on">
      <action>maincpu.pb@C00355=1E|(maincpu.pb@C00355 BAND ~1E)</action>
    </script>
  </cheat>

  <cheat desc="Lose the Shield Now! PL1">
    <script state="on">
      <action>maincpu.pb@C00355=00|(maincpu.pb@C00355 BAND ~1E)</action>
    </script>
  </cheat>

  <cheat desc="Next 'P' always = Shield PL1">
    <script state="run">
      <action>maincpu.pb@C002E9=02</action>
    </script>
  </cheat>

  <cheat desc="Next 'P' gives Shield Now!PL1">
    <script state="on">
      <action>maincpu.pb@C002E9=02</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x00">Missiles</item>
      <item value="0x01">Laser</item>
      <item value="0x02">Auto</item>
      <item value="0x03">Bombs</item>
      <item value="0x04">3-Way</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@C002ED=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@C002FB=0A</action>
    </script>
  </cheat>

  <cheat desc="Always have the Shield PL2">
    <script state="run">
      <action>maincpu.pb@C003B5=1E|(maincpu.pb@C003B5 BAND ~1E)</action>
    </script>
  </cheat>

  <cheat desc="Get the Shield Now! PL2">
    <script state="on">
      <action>maincpu.pb@C003B5=1E|(maincpu.pb@C003B5 BAND ~1E)</action>
    </script>
  </cheat>

  <cheat desc="Lose the Shield Now! PL2">
    <script state="on">
      <action>maincpu.pb@C003B5=00|(maincpu.pb@C003B5 BAND ~1E)</action>
    </script>
  </cheat>

  <cheat desc="Next 'P' always = Shield PL2">
    <script state="run">
      <action>maincpu.pb@C002EB=02</action>
    </script>
  </cheat>

  <cheat desc="Next 'P' gives Shield Now!PL2">
    <script state="on">
      <action>maincpu.pb@C002EB=02</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x00">Missiles</item>
      <item value="0x01">Laser</item>
      <item value="0x02">Auto</item>
      <item value="0x03">Bombs</item>
      <item value="0x04">3-Way</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@C002EF=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
